function par = cooccur_read_par(fnPar)

% Read Cooccur parameters from the file.

fp = fopen(fnPar,'r');

par.lex      = str2num(read_string_var(fp));
par.ctxlen   = fscanf(fp,'%d');  fgetl(fp);
par.decay    = fscanf(fp,'%f');  fgetl(fp);
par.norm     = fscanf(fp,'%d'); fgetl(fp);
par.datadir  = read_string_var(fp);
par.fnInd    = read_string_var(fp);
par.fnLex    = read_string_var(fp);
par.fnOut    = read_string_var(fp);
par.halOut   = read_string_var(fp);
fclose(fp);

if isempty(nummatch(par.norm,[0 1 2]))
  error('par.norm must be 1, 2 or 0');
end
