function str = read_string_var(fp)

% Reads a string variable from a file. The following comment on a line is
% supposed to be separated by a tabulator.

s = fgetl(fp);
b = findstr(s,char(9));
if isempty(b), b = findstr(s,' '); end
if isempty(b)    
  error('Error reading string variable.');
elseif length(b) > 1,  b = b(1); end

str = s(1:b(1)-1);
return;
