function strList = read_strlist(fn,nlines)

% strList = read_strlist(fn,[nlines])
%
% Reads strings from a file to a list, by lines.
% if nlines is specified, nlines are, otherwise all lines.

fp = fopen(fn,'rt');
i=1;
while ~feof(fp)
  strList{i} = fgetl(fp);
  if nargin == 2,
    if i == nlines, break; end
  end
  i = i+1;	
end
strList = strList';
fclose(fp);
